Anyone's public credit record
curl --request GET \
--url https://api.matocard.xyz/verify/{wallet}import requests
url = "https://api.matocard.xyz/verify/{wallet}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.matocard.xyz/verify/{wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": "0xC0519BE562f0De7E32e9A48e50AdecBAde605aAD",
"verified": true,
"score": "1000000",
"ratioBps": "1000000",
"cycles": "<unknown>",
"defaulted": true,
"history": {
"score": "<string>",
"cycleCount": 123,
"repayCount": 123,
"cyclesOpened": 123,
"defaulted": true,
"verifiedAt": "<string>",
"firstSeenAt": "<string>",
"cycles": [
{
"number": 123,
"outcome": "Qualified",
"openedAt": "<string>",
"closedAt": "<string>",
"peakDrawn": "<string>",
"totalRepaid": "<string>",
"scoreAfter": "<string>",
"openTxHash": "<string>",
"closeTxHash": "<string>"
}
]
},
"indexer": "ok"
}{
"error": "verify your identity first"
}Public
Anyone's public credit record
The page someone back home opens to check a record (/verify in the app).
GET
/
verify
/
{wallet}
Anyone's public credit record
Path Parameters
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0xC0519BE562f0De7E32e9A48e50AdecBAde605aAD"
Response
The record
The public record: no name, no document
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0xC0519BE562f0De7E32e9A48e50AdecBAde605aAD"
Smallest unit of its currency
Pattern:
^[0-9]+$Example:
"1000000"
Smallest unit of its currency
Pattern:
^[0-9]+$Example:
"1000000"
From the indexer; null when it is down
Show child attributes
Show child attributes
Available options:
ok, unavailable 
